Bug 491337 - RHEL5 cmirror tracker: RFE: create attempt shouldn't create anything if cmirror service is not started
RHEL5 cmirror tracker: RFE: create attempt shouldn't create anything if cmirr...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 10:13 EDT by Corey Marthaler
Modified: 2014-11-12 17:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-12 17:53:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-03-20 10:13:27 EDT
Description of problem:
This is a dup of bug 384871 which was mistakenly closed do to the errata process. This is not a high priority issue, but customers have run into this and it would be nice if something could be done.


[root@grant-01 ~]# service cmirror status
Cluster log server is not running.  (Cluster mirrors will not work.)

[root@grant-01 ~]# lvcreate -m 1 -n mirror --nosync -L 100M grant
  WARNING: New mirror won't be synchronised. Don't read what you didn't write!
  Error locking on node grant-03: device-mapper: reload ioctl failed: Invalid argument
  Error locking on node grant-02: device-mapper: reload ioctl failed: Invalid argument
  Error locking on node grant-01: device-mapper: reload ioctl failed: Invalid argument
  Aborting. Failed to activate new LV to wipe the start of it.


Version-Release number of selected component (if applicable):
2.6.18-128.el5

lvm2-2.02.40-6.el5    BUILT: Fri Oct 24 07:37:33 CDT 2008
lvm2-cluster-2.02.40-7.el5    BUILT: Wed Nov 26 07:19:19 CST 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.36-1.el5    BUILT: Tue Dec  9 16:38:13 CST 2008
kmod-cmirror-0.1.21-10.el5    BUILT: Wed Dec 17 15:18:59 CST 2008

How reproducible:
Everytime
Comment 1 Jonathan Earl Brassow 2009-04-07 11:43:03 EDT
The intelligence has to be built into LVM to check for the server and (possibly) the module.  For 5.4 people will have to live with the obvious clues given to them by /var/log/messages.

Note You need to log in before you can comment on or make changes to this bug.